[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLConnection.GetStatementInfo

Get statement information

## Declaration

Source position: sqldb.pp line 288

`public function TSQLConnection.GetStatementInfo(`
`const ASQL: string`
`):TSQLStatementInfo; virtual;`

## Arguments

`ASQL` |  | SQL statement to analyse

## Function result

SQL Statement information

## Description

GetStatementInfo returns information about the ASQL SQL command. To this end, it will partially parse the statement.

## See also

TSQLStatementInfo |  | Record to describe a SQL statement